Page MenuHomePhabricator

Need to reset password for user silverpop-upload@wikimedia.org in IBM
Closed, ResolvedPublic

Description

Hi,

The contact source job for the Master Suppression List and the main _all_wikimedia database failed this morning. When I went to investigate the recurring imports under the Silverpop Data Upload user, it said the password has expired and there was no option to become user. Attaching screenshot here

The email team cannot edit or manually run the recurring imports without access to this user profile.

Event Timeline

KHaggard created this task.Nov 1 2019, 1:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 1 2019, 1:06 PM
KHaggard triaged this task as High priority.Nov 1 2019, 1:07 PM

I just reset the password on the account so Katie could get in and try to re-run the file imports, but now y'all need to reset the pw again on your side. I'm going to update the task title to reflect that.

Katie, can you email Briana and told her the pw expired even after fr-tech updated it a couple weeks ago? There's something buggy going on here on silverpop's side.

CCogdill_WMF renamed this task from Email team can't become user silverpop-upload@wikimedia.org in IBM to Need to reset password for user silverpop-upload@wikimedia.org in IBM.Nov 1 2019, 1:29 PM

Quick update: We can't manually run the file because the FTP file isn't there, and my thinking is that it wasn't there for the scheduled 9am GMT time either. Caitlin and I think maybe the file upload must have failed.

Does changing the password now make it so we can't fetch from FTP? We don't actually know how that works.

@CCogdill_WMF Yes I'll email Briana.

CCogdill_WMF raised the priority of this task from High to Unbreak Now!.Nov 4 2019, 3:26 PM

Hey y'all,

I'm changing the status to Unbreak Now because we haven't had a file to import for the last 4 days, which starts to impact our ability to send email. This appears to have generated from a bug on IBM's side which forced the upload user's password to expire when it shouldn't have. We're bugging their support to make sure this doesn't happen again.

I reset the password in the account (mostly to see if I could) and so now we need you all to update the password on your side. What's the best way to coordinate in doing this? Should we jump on a call with someone for 15 minutes today?

Restricted Application added subscribers: Pcoombe, Liuxinyu970226. · View Herald TranscriptNov 4 2019, 3:26 PM

@CCogdill_WMF You'll need to coordinate with @Dwisehaupt or @Jgreen to reset this in the upload job. The easiest secure way to get them the new password will probably be to save it to a file in your home directory on frdev1001. You can use 'nano silverpop.txt' to open a file called silverpop.txt in your homedir there.

Okay, I saved the pw in a file called silverpop.txt as suggested.

If y'all want to use a stronger password, please feel free to reset it
again, I just figured you'd need the one I created to get in and do
anything. Anything else I can do to help?

Ejegg added a comment.Nov 4 2019, 6:45 PM

Thanks @CCogdill_WMF . As mentioned in standup chat, @Dwisehaupt generated a stronger PW and updated the email uploader password settings. I updated the account at Acoustic and the mailing data downloader password settings (for when we can turn that back on again).

I then ran the uploader and it sent the files from this morning. These two should now be available for processing at the Acoustic side:

DatabaseUpdate-20191104075849.csv
Unsubscribes-20191104075849.csv
Pcoombe removed a subscriber: Pcoombe.Nov 4 2019, 6:59 PM

Wonderful, thank you all for the help!

@KHaggard can you check in IBM in ~30 mins to see if we can manually run
the import jobs? Update and close this task, if so :)

Hi all, I was able to run the import jobs manually today and the totals look good.

We're continuing to follow-up with the ESP so the password doesn't keep expiring every 7 days. Hopefully will be resolved soon.

Thanks for all your help fr-tech!

KHaggard closed this task as Resolved.Nov 4 2019, 8:40 PM
KHaggard claimed this task.
KHaggard reopened this task as Open.Nov 5 2019, 2:38 PM

We received a response to why the password keeps expiring every 7 days:

The password needs to be changed by a direct login to the account. It seems that the password has been getting reset via an indirect login (become user) and that password is a temporary password.

@Ejegg Can you confirm the Acoustic password change was done via a direct log in?

Bumping this again, the silverpop data upload account is saying the password will expire in 5 days, so I think the password needs to be reset via a direct account log in before then.

Just to be safe, tagging @DStrine to make sure this gets seen. Thanks!

Ejegg added a comment.Nov 6 2019, 9:21 PM

Ah, nope, I just reset the password in the user management tool. I'll try logging in now and resetting it enough times to cycle back to what we currently have.

Thanks, Elliott! We didn't realize this was a requirement with the system.
We learned our lesson ;)

Ejegg added a comment.Nov 6 2019, 9:26 PM

Darn, it's not letting me use the name and password as an IBMid. Looking for the 'secret' login page we've been using for the screen scraper.

You don't have to actually reset the IBM id, IIRC, only the campaign
automation login. Let me know if you need us to check with our consultant
on this.

Ejegg added a comment.Nov 6 2019, 9:30 PM

Right, as far as I know there's no IBM id associated with the silverpop uploader. Just trying to find the login page for the campaign automation to bypass the IBM id login.

Ah, I see. Here's the current login page:
https://www.customer-engagement.ibm.com/marketing/launch/

If that doesn't work, the old silverpop page may still work:
https://login4.silverpop.com/login

Ejegg added a comment.Nov 6 2019, 9:36 PM

Thanks! That old login page was what I needed. Now I just have to mess with IP addresses till it lets me in.

Ejegg added a comment.Nov 6 2019, 9:55 PM

OK, I allowed my IP address for that account, did a cycle through 5 throwaway passwords and got it back to the one saved in settings, then de-listed my IP address. I /hope/ this means we're done with this problem.

Thanks, Ejegg ! I checked again and the password expiration countdown banner has gone away for this user 😄 So I think this part is resolved. Thank you!

The one last thing I've noticed is that the import jobs for today pulled the file for 11/6 instead of 11/7. See screenshot below. Do you think it'll fix itself or is it off again by a day? When I try to manually run it to find the 11/7 file, it fails.

False alarm, the import this morning is back to normal and pulling the correct date file. Sorry for flagging that too early! I think we are all good here. Thanks for your help and have a great weekend!

KHaggard closed this task as Resolved.Nov 8 2019, 1:18 PM